This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 818684 - PATCH: properly deal with crypt() returning NULL
PATCH: properly deal with crypt() returning NULL
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 819650
  Show dependency treegraph
 
Reported: 2012-05-03 14:13 EDT by Paul Wouters
Modified: 2013-05-29 05:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: httpd-2.4.2-14.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 819650 (view as bug list)
Environment:
Last Closed: 2013-05-29 05:32:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch hanlding crypt() returning NULL (3.06 KB, patch)
2012-05-03 14:13 EDT, Paul Wouters
no flags Details | Diff

  None (edit)
Description Paul Wouters 2012-05-03 14:13:41 EDT
Created attachment 581918 [details]
patch hanlding crypt() returning NULL

Description of problem:
httpd does not check if crypt() or crypt_r() returns NULL, which it can do in certain situations (mostly when in FIPS mode and smoe hashing algo like MD5 is not allowed)

Version-Release number of selected component (if applicable):
2.2.22-4

Attached patch resolves this,
Comment 1 Joe Orton 2012-06-06 10:21:13 EDT
Thanks for this, Paul.  Pushed upstream with addition of error messages for httpd:

http://svn.apache.org/viewvc?view=revision&revision=1346905

The apr-util changes were already on trunk, so I backported those too.
Comment 3 Joe Orton 2013-05-29 05:32:26 EDT
This is fixed in F18.  Given this is a relatively obscure case, no plans to backport to f17.

Note You need to log in before you can comment on or make changes to this bug.